Subject: Offline Message from Maha Elalfy: I have received only a partial delivery of
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 22 Jun 2020 11:58:04 -0000

From: Maha Elalfy <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/sales/order/history/
Department: 

I have received only a partial delivery of my order #  100151596 , which was dispatched for shipping as per your email in June 2.

It is now 20 days later and no one called me for my order. I tried calling your number hundreds of times with no reply, you are not replying to emails or to this chat option!
What else can I do to get what I paid for?!!!!!

----
Zopim
https://www.zopim.com